package com.example.schedulerapp;

import javafx.event.Event;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Node;
import javafx.scene.control.Label;
import javafx.scene.layout.*;

import java.io.IOException;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class Controller {
    @FXML
    BorderPane myBorderPane;
    @FXML
    VBox leftSideButtons;
    @FXML
    BorderPane rootBorderPane;


    Calendar test;
    public void scheduleButtonClicked() throws Exception {
        System.out.println("schedule button clicked");
        dailyScheduleButtonClicked();
        leftSideButtons.setVisible(true);

    }
    public void paystubButtonClicked() throws IOException {
        System.out.println("paystub button clicked");
        FXMLLoader fxmlLoader = new FXMLLoader(ScheduleApp.class.getResource("paystubView.fxml"));
        myBorderPane.setCenter(null);
        myBorderPane.setCenter(fxmlLoader.load());
        leftSideButtons.setVisible(false);

    }
    public void availabilityButtonClicked(){
        System.out.println("availability button clicked");
    }
    public void timeoffButtonClicked(){
        System.out.println("timeoff button clicked");
    }
    public void dailyScheduleButtonClicked() throws IOException {
        test = new GregorianCalendar();

        System.out.println("month" + test.get(Calendar.MONTH));
        test.add(Calendar.MONTH,9);
        System.out.println(test.get(Calendar.DAY_OF_MONTH));



        System.out.println("daily schedule button clicked");
        FXMLLoader fxmlLoader = new FXMLLoader(ScheduleApp.class.getResource("dailySchedule.fxml"));
        myBorderPane.setCenter(null);
        myBorderPane.setCenter(fxmlLoader.load());


    }
    public void weeklyScheduleButtonClicked() throws Exception {
        System.out.println("weekly schedule button clicked");
        FXMLLoader fxmlLoader = new FXMLLoader(ScheduleApp.class.getResource("weeklySchedule.fxml"));
        myBorderPane.setCenter(null);
        myBorderPane.setCenter(fxmlLoader.load());
    }
    public void pickupsButtonClicked(){
        System.out.println("pickups button clicked");
    }
    public void prevButtonClicked(){
        System.out.println("prev button clicked");
    }
    public void jumpButtonClicked(){
        System.out.println("jump button clicked");
    }
    public void nextButtonClicked(){
        System.out.println("next button clicked");
    }
    public void managementButtonClicked() throws IOException {
        System.out.println("management button clicked");
        FXMLLoader fxmlLoader = new FXMLLoader(ScheduleApp.class.getResource("managementView.fxml"));
        myBorderPane.setCenter(null);
        myBorderPane.setCenter(fxmlLoader.load());
    }
    public void createScheduleClicked(){
        System.out.println("create schedule clicked");
    }
    public void modifyScheduleClicked(){
        System.out.println("modify schedule clicked");
    }
    public void addEmployeeClicked(){
        System.out.println("add employee clicked");
    }
    public void removeEmployeeClicked(){
        System.out.println("remove employee clicked");
    }
    public void logInClicked(){
        System.out.println("log in clicked");
    }
    public void employeeTestClicked() throws IOException {
        System.out.println("employee test clicked");
        FXMLLoader fxmlLoader = new FXMLLoader(ScheduleApp.class.getResource("employeeMainView.fxml"));
        rootBorderPane.setCenter(fxmlLoader.load());
    }
    public void employerTestClicked() throws IOException {
        System.out.println("employer test clicked");
        FXMLLoader fxmlLoader = new FXMLLoader(ScheduleApp.class.getResource("employerMainView.fxml"));
        rootBorderPane.setCenter(fxmlLoader.load());
    }
}
